syn match EppComment "@.*"
syn match EppString +".\{-}[^\\]"+
syn match EppInt "\<\d\+\>"
syn keyword EppStdFunction checkpoint convert append return system import global select print range input index write array sleep join proc prec list goto jump type read rand help exec pair keys out str len get pop sub has run cti itc env
syn keyword EppRepeat for while switch if else
syn keyword EppLabel case 
syn keyword EppJump goto return break
syn keyword EppFunc func
syn keyword EppSet set
syn keyword EppBoolLiteral false true
syn keyword EppException except
syn match EppArrowOperator  "->"
syn match EppAccessOperator "'"

hi link EppComment        Comment
hi link EppStdFunction    Function
hi link EppString         String
hi link EppInt            Number
hi link EppBoolLiteral    Boolean
hi link EppRepeat         Repeat
hi link EppLabel          Label
hi link EppJump           Statement
hi link EppSet            Statement
hi link EppFunc           Statement
hi link EppArrowOperator  Operator
hi link EppAccessOperator Operator
hi link EppException      Exception
